Skip to main content
POST
/
v1
/
generation-quality-test
cURL
curl --request POST \
  --url https://api.lighthousefh.com/v1/generation-quality-test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_id": "<string>",
  "template_type": "at_need",
  "call_uuids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "passes": 1,
  "preview": true,
  "template_uuids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "status": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "data": "<unknown>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
channel_id
string
required
template_type
enum<string>
required
Available options:
at_need,
pre_need
call_uuids
string<uuid>[] | null
passes
integer<int32> | null
Required range: x >= 0
preview
boolean | null
template_uuids
string<uuid>[] | null

Response

Quality test started

status
string
required
timestamp
string<date-time>
required
data
any
message
string | null
request_id
string | null